Manifest-Version: 1.0
Bnd-LastModified: 1765158626467
Bundle-ManifestVersion: 2
Bundle-Name: Liferay User Groups Admin Implementation
Bundle-SymbolicName: com.liferay.user.groups.admin.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.7.hotfix-10382-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.exportimport.data.handler.base;version="[1
 .0,2)",com.liferay.exportimport.kernel.lar;version="[3.3,4)",com.life
 ray.exportimport.kernel.xstream;version="[1.0,2)",com.liferay.exporti
 mport.portlet.preferences.processor;version="[1.1,2)",com.liferay.por
 tal.kernel.dao.orm;version="[9.7,10)",com.liferay.portal.kernel.excep
 tion;version="[9.5,10)",com.liferay.portal.kernel.model;version="[5.6
 ,6)",com.liferay.portal.kernel.search;version="[9.5,10)",com.liferay.
 portal.kernel.security.permission;version="[3.4,4)",com.liferay.porta
 l.kernel.security.permission.resource;version="[1.1,2)",com.liferay.p
 ortal.kernel.service;version="[4.11,5)",com.liferay.portal.kernel.ser
 vice.permission;version="[2.0,3)",com.liferay.portal.kernel.template;
 version="[9.1,10)",com.liferay.portal.kernel.util;version="[10.24,11)
 ",com.liferay.portal.kernel.xml;version="[7.0,8)",com.liferay.portal.
 model.impl,com.liferay.portal.search.batch;version="[1.0,2)",com.life
 ray.portal.search.query;version="[1.6,2)",com.liferay.portal.search.s
 pi.model.index.contributor;version="[1.1,2)",com.liferay.portal.searc
 h.spi.model.index.contributor.helper;version="[1.0,2)",com.liferay.po
 rtal.search.spi.model.query.contributor;version="[1.1,2)",com.liferay
 .portal.search.spi.model.query.contributor.helper;version="[1.1,2)",c
 om.liferay.portal.search.spi.model.registrar;version="[1.2,2)",com.li
 feray.portal.search.spi.model.registrar.contributor;version="[1.0,2)"
 ,com.liferay.portal.search.spi.model.result.contributor;version="[1.0
 ,2)",com.liferay.portlet.display.template.exportimport.portlet.prefer
 ences.processor;version="[1.0,2)",com.liferay.xstream.configurator;ve
 rsion="[1.2,2)",javax.portlet,org.osgi.framework;version="[1.8,2)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay User Groups Admin
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, NTLM 
 Authentication, OpenID Authentication, OpenSSO Authentication, Remote
  Authentication (AuthVerifiers), SSO-based Authentication, Token-base
 d Authentication, Portal Scripting, Elasticsearch Support, Solr Suppo
 rt, Documents and Media Store Implementations, and more.<br /><br />T
 he Foundation suite provides applications and features that extend th
 e functionality provided by Liferay's core. Much of the functionality
  that belonged to Liferay's core prior to Liferay 7 has been extracte
 d into the modules of the Foundation suite. The authentication module
 s provide a variety of mechanisms for allowing users and remote appli
 cations to authenticate to Liferay. The LDAP Authentication module al
 lows administrators to establish connections to one or more LDAP dire
 ctories from which users can be imported or exported. The SSO modules
  allow users to authenticate to Liferay using a variety of single-sig
 n on solutions. The Token-based Authentication module allows users or
  remote applications to authenticate to Liferay without a password. T
 he Scripting modules allow scripts to be written to invoke Liferay's 
 API in several languages including Groovy, BeanShell, Python, Ruby, a
 nd JavaScript.<br /><br />This suite is available in the Liferay bund
 le.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.user.groups.admin.internal.exportimport.d
 ata.handler,com.liferay.user.groups.admin.internal.exportimport.portl
 et.preferences.processor,com.liferay.user.groups.admin.internal.searc
 h,com.liferay.user.groups.admin.internal.search.spi.model.index.contr
 ibutor,com.liferay.user.groups.admin.internal.search.spi.model.query.
 contributor,com.liferay.user.groups.admin.internal.search.spi.model.r
 esult.contributor,com.liferay.user.groups.admin.internal.security.per
 mission.resource,com.liferay.user.groups.admin.internal.xstream.confi
 gurator
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .exportimport.kernel.lar.PortletDataHandler";uses:="com.liferay.expor
 timport.kernel.lar",osgi.service;objectClass:List<String>="com.lifera
 y.exportimport.kernel.lar.StagedModelDataHandler";uses:="com.liferay.
 exportimport.kernel.lar",osgi.service;objectClass:List<String>="com.l
 iferay.exportimport.portlet.preferences.processor.ExportImportPortlet
 PreferencesProcessor";uses:="com.liferay.exportimport.portlet.prefere
 nces.processor",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.search.BaseSearcher";uses:="com.liferay.portal.kernel.sea
 rch",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .security.permission.resource.ModelResourcePermission";uses:="com.lif
 eray.portal.kernel.security.permission.resource",osgi.service;objectC
 lass:List<String>="com.liferay.portal.search.spi.model.index.contribu
 tor.ModelDocumentContributor";uses:="com.liferay.portal.search.spi.mo
 del.index.contributor",osgi.service;objectClass:List<String>="com.lif
 eray.portal.search.spi.model.index.contributor.ModelIndexerWriterCont
 ributor";uses:="com.liferay.portal.search.spi.model.index.contributor
 ",osgi.service;objectClass:List<String>="com.liferay.portal.search.sp
 i.model.query.contributor.KeywordQueryContributor";uses:="com.liferay
 .portal.search.spi.model.query.contributor",osgi.service;objectClass:
 List<String>="com.liferay.portal.search.spi.model.result.contributor.
 ModelSummaryContributor";uses:="com.liferay.portal.search.spi.model.r
 esult.contributor",osgi.service;objectClass:List<String>="com.liferay
 .portlet.display.template.exportimport.portlet.preferences.processor.
 PortletDisplayTemplateRegister";uses:="com.liferay.portlet.display.te
 mplate.exportimport.portlet.preferences.processor",osgi.service;objec
 tClass:List<String>="com.liferay.xstream.configurator.XStreamConfigur
 ator";uses:="com.liferay.xstream.configurator"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.exportimport.portlet.preferences.processor.Capab
 ility)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.search.ExpandoQueryContributor)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 GroupLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.UserGroupLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.permission.UserGroupPermission)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.search.batch.DynamicQu
 eryBatchIndexingActionableFactory)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.search.query.QueryHelper)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 search.spi.model.index.contributor.ModelIndexerWriterContributor)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .search.spi.model.registrar.ModelSearchRegistrarHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.search.sp
 i.model.result.contributor.ModelSummaryContributor)";effective:=activ
 e,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=J
 avaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(vers
 ion=1.8))"
Service-Component: OSGI-INF/com.liferay.user.groups.admin.internal.exp
 ortimport.data.handler.UserGroupStagedModelDataHandler.xml,OSGI-INF/c
 om.liferay.user.groups.admin.internal.exportimport.data.handler.UserG
 roupsAdminPortletDataHandler.xml,OSGI-INF/com.liferay.user.groups.adm
 in.internal.exportimport.portlet.preferences.processor.UserGroupsAdmi
 nExportImportPortletPreferencesProcessor.xml,OSGI-INF/com.liferay.use
 r.groups.admin.internal.exportimport.portlet.preferences.processor.Us
 erGroupsAdminPortletDisplayTemplateExportCapability.xml,OSGI-INF/com.
 liferay.user.groups.admin.internal.exportimport.portlet.preferences.p
 rocessor.UserGroupsAdminPortletDisplayTemplateImportCapability.xml,OS
 GI-INF/com.liferay.user.groups.admin.internal.search.UserGroupSearchR
 egistrar.xml,OSGI-INF/com.liferay.user.groups.admin.internal.search.U
 serGroupSearcher.xml,OSGI-INF/com.liferay.user.groups.admin.internal.
 search.spi.model.index.contributor.UserGroupModelDocumentContributor.
 xml,OSGI-INF/com.liferay.user.groups.admin.internal.search.spi.model.
 index.contributor.UserGroupModelIndexerWriterContributor.xml,OSGI-INF
 /com.liferay.user.groups.admin.internal.search.spi.model.query.contri
 butor.UserGroupKeywordQueryContributor.xml,OSGI-INF/com.liferay.user.
 groups.admin.internal.search.spi.model.result.contributor.UserGroupMo
 delSummaryContributor.xml,OSGI-INF/com.liferay.user.groups.admin.inte
 rnal.security.permission.resource.UserGroupModelResourcePermission.xm
 l,OSGI-INF/com.liferay.user.groups.admin.internal.xstream.configurato
 r.UserGroupsAdminXStreamConfigurator.xml
Tool: Bnd-4.3.0.201909301554

